Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Interface UIDFolder

All Known Implementing Classes:
  IMAPFolder

public interface UIDFolder

The `UIDFolder` interface is implemented by Folders that can support the "disconnected" mode of operation, by providing unique-ids for messages in the folder. This interface is based on the IMAP model for supporting disconnected operation.

A Unique identifier (UID) is a positive long value, assigned to each message in a specific folder. Unique identifiers are assigned in a strictly ascending fashion in the mailbox. That is, as each message is added to the mailbox it is assigned a higher UID than the message(s) which were added previously. Unique identifiers persist across sessions. This permits a client to resynchronize its state from a previous session with the server.

Associated with every mailbox is a unique identifier validity value. If unique identifiers from an earlier session fail to persist to this session, the unique identifier validity value must be greater than the one used in the earlier session.

Refer to RFC 2060 http://www.ietf.org/rfc/rfc2060.txt for more information.

Inner Class Summary
`static class` | `UIDFolder.FetchProfileItem` A fetch profile item for fetching UIDs.

Field Summary
`static long` | `LASTUID` This is a special value that can be used as the `end` parameter in `getMessages(start, end)`, to denote the last UID in this folder.

Method Summary
`Message` | `getMessageByUID(long uid)` Get the Message corresponding to the given UID.
`Message[]` | `getMessagesByUID(long[] uids)` Get the Messages specified by the given array of UIDs.
`Message[]` | `getMessagesByUID(long start, long end)` Get the Messages specified by the given range.
`long` | `getUID(Message message)` Get the UID for the specified message.
`long` | `getUIDValidity()` Returns the UIDValidity value associated with this folder.

Field Detail

### LASTUID

    public static final long LASTUID

  This is a special value that can be used as the `end` parameter in `getMessages(start, end)`, to denote the last UID in this folder.
  See Also:
    `getMessagesByUID(long, long)`

Method Detail

### getUIDValidity

    public long getUIDValidity()
                        throws MessagingException

  Returns the UIDValidity value associated with this folder.

  Clients typically compare this value against a UIDValidity value saved from a previous session to insure that any cached UIDs not stale.

  Returns:
    UIDValidity

### getMessageByUID

    public Message getMessageByUID(long uid)
                            throws MessagingException

  Get the Message corresponding to the given UID. If no such message exists, `null` is returned.
  Parameters:
    `uid` - UID for the desired message
  Returns:
    the Message object. `null` is returned if no message corresponding to this UID is obtained.
  Throws:
    `MessagingException` -

### getMessagesByUID

    public Message[] getMessagesByUID(long start,
                                      long end)
                               throws MessagingException

  Get the Messages specified by the given range. The special value LASTUID can be used for the `end` parameter to indicate the last available UID.
  Parameters:
    `start` - start UID
    `end` - end UID
  Returns:
    array of Message objects
  Throws:
    `MessagingException` -
  See Also:
    `LASTUID`

### getMessagesByUID

    public Message[] getMessagesByUID(long[] uids)
                               throws MessagingException

  Get the Messages specified by the given array of UIDs. If any UID is invalid, `null` is returned for that entry.

  Note that the returned array will be of the same size as the specified array of UIDs, and `null` entries may be present in the array to indicate invalid UIDs.

  Parameters:
    `uids` - array of UIDs
  Returns:
    array of Message objects
  Throws:
    `MessagingException` -

### getUID

    public long getUID(Message message)
                throws MessagingException

  Get the UID for the specified message. Note that the message must belong to this folder. Else the java.util.NoSuchElementException is thrown.
  Parameters:
    `message` - Message from this folder
  Returns:
    UID for this message
  Throws:
    `java.util.NoSuchElementException` - if the given Message is not in this Folder.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD